Junior Junior - 1 month ago 18
Sass (Sass) Question

Meteor Issue after last update (materialize:materialize and fourseven:scss)

I had no errors before the last update about an hour ago. The update I made had the following changes:

Changes to your project's package version selections from updating package versions:

babel-runtime upgraded from 0.1.12 to 0.1.13
fourseven:scss upgraded from 3.10.0 to 3.10.1
materialize:materialize upgraded from 0.97.7 to 0.97.8


the current version of meteor is
1.4.2


after the update I get the following errors:

Uncaught Error: Scss compiler error: Undefined variable: "$medium-and-down"
Uncaught TypeError: Cannot read property 'Materialize' of undefined
ReferenceError: meteorInstall is not defined


this was after updating to materialize version 0.97.8

even after downgrading to version 0.97.7, I still get the same error.

Any help is appreciated. I have created this issue here.

Thanks again.

Answer

I've just resolved the same issue with this:

meteor remove materialize:materialize
meteor add materialize:materialize@=0.97.0

see http://stackoverflow.com/a/32609708/3863932